Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041890
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2019-09-26 16:032019-11-15 14:16
Reporteralekosmp86View Statuspublic 
Assigned Toalekosmp86 
PrioritynormalResolutionfixedFixed in VersionRR20Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041890: StringBuffer/Builder in Retail modules should be replaced by String

DescriptionStringBuffer/Builder in Retail modules should be replaced by String
Steps To ReproduceN/A
TagsNo tags attached.
Attached Filespatch file icon MobileCore.patch [^] (3,434 bytes) 2019-09-26 16:20 [Show Content]
patch file icon Config.patch [^] (2,827 bytes) 2019-09-26 16:22 [Show Content]
patch file icon Posterminal.patch [^] (42,484 bytes) 2019-09-26 16:24 [Show Content]
? file icon issue41890.export [^] (3,700 bytes) 2019-10-14 19:10
? file icon issue41890-posterminal.export [^] (15,927 bytes) 2019-10-14 19:12

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0043572RR20Q2 closedguilleaer Retail Modules When fixing HQLStyle issues in posterminal 4 cases we not fully fixed 
related to design defect 0041287 acknowledgedplatform Openbravo ERP Tracking issue: Convert HQL to apply new style 
related to defect 0043744 closedshuehner Retail Modules When fixing HQLStyle issues in mobile.core 1 case was not fully fixed 

-  Notes
(0114889)
hgbot (developer)
2019-10-02 20:40

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: d05e5f56c0438a01615545063065f22776fdcb35
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Sep 23 16:29:37 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/d05e5f56c0438a01615545063065f22776fdcb35 [^]

Related to issue 41890: Replaced StringBuffer/Builder with String.

---
M src/org/openbravo/mobile/core/eventobservers/UIConfigurationActionsPositionEventObserver.java
M src/org/openbravo/mobile/core/login/ProfileUtils.java
---
(0114890)
hgbot (developer)
2019-10-02 20:41

Repository: erp/pmods/org.openbravo.retail.config
Changeset: 720bb920e12bb52fa8a8dba1593360e364c237fa
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Sep 23 17:05:59 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/720bb920e12bb52fa8a8dba1593360e364c237fa [^]

Related to issue 41890: Replaced StringBuffer/Builder with String.

---
M src/org/openbravo/retail/config/businesslogic/CloneProductListActionHandler.java
M src/org/openbravo/retail/config/event/OrganizationEventHandler.java
---
(0114891)
hgbot (developer)
2019-10-02 20:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9d9429bc9154468188eda7e862423d10572ff5d2
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Sep 23 16:30:23 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9d9429bc9154468188eda7e862423d10572ff5d2 [^]

Related to issue 41890: Replaced StringBuffer/Builder with String.
Refactored some queries to be more readable

---
M src/org/openbravo/retail/posterminal/DeferredServiceDelivery.java
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/POSLoginHandler.java
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/ProcessVoidLayaway.java
M src/org/openbravo/retail/posterminal/ProfileUtilsServlet.java
M src/org/openbravo/retail/posterminal/UpdateProductCategoryByAssortmentBackground.java
M src/org/openbravo/retail/posterminal/event/CurrencyConversionEventHandler.java
M src/org/openbravo/retail/posterminal/event/OBPOSConversionRateEventHandler.java
M src/org/openbravo/retail/posterminal/event/TerminalTypePaymentMethodEventHandler.java
M src/org/openbravo/retail/posterminal/process/IsOrderCancelled.java
M src/org/openbravo/retail/posterminal/stock/StoreDetailedStock.java
M src/org/openbravo/retail/posterminal/utility/AttributesUtils.java
---
(0115079)
adrianromero (manager)
2019-10-14 19:10
edited on: 2019-10-14 19:13

There are more cases where StringBuilder / StringBuffer can be replaced. In general String is preferred when building simple strings. In other cases is usually preferred StringBuilder over StringBuffer if no threading is involved.

The attached export files only contains a subset of the changes pending.

(0115228)
hgbot (developer)
2019-10-22 16:24

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 3a2a7ebf135a74710efa5bfa9f9d15f4e60dc871
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Mon Oct 14 18:38:57 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/3a2a7ebf135a74710efa5bfa9f9d15f4e60dc871 [^]

Related to issue 0041890: StringBuffer/Builder in Retail modules should be replaced by String
* Replace StringBuilder/StringBuffer by String in simple cases
* Removes @SuppressWarnings where not needed
* Fixes copyright year

---
M src/org/openbravo/mobile/core/listener/InitializeLastPingFromCentralServer.java
M src/org/openbravo/mobile/core/listener/StatusBackgroundProcessScheduler.java
---
(0115229)
hgbot (developer)
2019-10-22 16:26

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 07c4cc412f89e15d76bca11128be2910cf2f090f
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Mon Oct 14 19:04:13 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/07c4cc412f89e15d76bca11128be2910cf2f090f [^]

Related to issue 0041890: StringBuffer/Builder in Retail modules should be replaced by String
* Replace StringBuilder/StringBuffer by String in simple cases
* Replace StringBuffer by StringBuilder
* Fixes copyright year
* Other small refactors

---
M src/org/openbravo/retail/posterminal/AutoRegisterHWM.java
M src/org/openbravo/retail/posterminal/LoginUtilsServlet.java
M src/org/openbravo/retail/posterminal/PaidReceiptsFilter.java
M src/org/openbravo/retail/posterminal/master/BPTaxCategory.java
M src/org/openbravo/retail/posterminal/master/Brand.java
M src/org/openbravo/retail/posterminal/process/SearchRelatedReceipts.java
M src/org/openbravo/retail/posterminal/utility/OBPOSPrintTemplateReader.java
---

- Issue History
Date Modified Username Field Change
2019-09-26 16:03 alekosmp86 New Issue
2019-09-26 16:03 alekosmp86 Assigned To => alekosmp86
2019-09-26 16:03 alekosmp86 Triggers an Emergency Pack => No
2019-09-26 16:19 alekosmp86 Status new => scheduled
2019-09-26 16:20 alekosmp86 File Added: MobileCore.patch
2019-09-26 16:22 alekosmp86 File Added: Config.patch
2019-09-26 16:24 alekosmp86 File Added: Posterminal.patch
2019-10-02 20:40 hgbot Checkin
2019-10-02 20:41 hgbot Note Added: 0114889
2019-10-02 20:41 hgbot Checkin
2019-10-02 20:42 hgbot Note Added: 0114890
2019-10-02 20:44 hgbot Checkin
2019-10-02 20:44 hgbot Note Added: 0114891
2019-10-02 20:48 alekosmp86 Status scheduled => resolved
2019-10-02 20:48 alekosmp86 Resolution open => fixed
2019-10-14 19:10 adrianromero Note Added: 0115079
2019-10-14 19:10 adrianromero Status resolved => new
2019-10-14 19:10 adrianromero Resolution fixed => open
2019-10-14 19:10 adrianromero File Added: issue41890.export
2019-10-14 19:12 adrianromero File Added: issue41890-posterminal.export
2019-10-14 19:13 adrianromero Note Edited: 0115079 View Revisions
2019-10-14 19:14 adrianromero Review Assigned To => adrianromero
2019-10-22 16:24 hgbot Checkin
2019-10-22 16:24 hgbot Note Added: 0115228
2019-10-22 16:26 hgbot Checkin
2019-10-22 16:26 hgbot Note Added: 0115229
2019-11-04 18:04 marvintm Status new => scheduled
2019-11-04 18:04 marvintm Status scheduled => resolved
2019-11-04 18:04 marvintm Resolution open => fixed
2019-11-15 14:16 marvintm Review Assigned To adrianromero => marvintm
2019-11-15 14:16 marvintm Status resolved => closed
2019-11-15 14:16 marvintm Fixed in Version => RR20Q1
2020-03-25 13:51 shuehner Relationship added related to 0043572
2020-03-25 13:54 shuehner Relationship added related to 0041287
2020-04-15 16:20 shuehner Relationship added related to 0043744


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker